Subject: Re: use a non-locking initial test in TAS_SPIN on AArch64

From: Nathan Bossart <[email-masked]>
Date: Wed, 8 Jan 2025 14:30:56 -0600

On Wed, Jan 08, 2025 at 03:23:45PM -0500, Tom Lane wrote:
> I just acquired an M4 Pro, which may also be too small to show any
> effect, but perhaps running the test there would at least give us
> more confidence that there's not a bad effect.  Which test case(s)
> would you recommend trying?

Thanks!  A select-only pgbench with many clients (I used 256 upthread) and
pg_stat_statements.track_planning enabled seems to be a pretty easy way to
stress spinlocks.  The same test without track_planning enabled might also
be interesting.  I'm looking for a way to stress LWLocks, too, and I will
share here when I either find an existing test or write something of my
own.

-- 
nathan